Bug 1283917 - [abrt] bodhi-client: sessions.py:508:post:TypeError: request() got an unexpected keyword argument 'req_params'
[abrt] bodhi-client: sessions.py:508:post:TypeError: request() got an unexpec...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bf5248e7e44c5b54153b7f69eee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 04:38 EST by Germano Massullo
Modified: 2016-12-20 11:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2015-11-20 04:38 EST, Germano Massullo
no flags Details
File: dso_list (69 bytes, text/plain)
2015-11-20 04:38 EST, Germano Massullo
no flags Details
File: environ (3.50 KB, text/plain)
2015-11-20 04:38 EST, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2015-11-20 04:38:02 EST
Version-Release number of selected component:
bodhi-client-0.9.12.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 -tt /bin/bodhi --my-overrides
executable:     /bin/bodhi
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
sessions.py:508:post:TypeError: request() got an unexpected keyword argument 'req_params'

Traceback (most recent call last):
  File "/bin/bodhi", line 537, in <module>
    main()
  File "/bin/bodhi", line 451, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 248, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 203, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 508, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'

Local variables in innermost frame:
url: 'https://bodhi.fedoraproject.org/override/list'
json: None
data: None
self: <requests.sessions.Session object at 0x7f805538fd90>
kwargs: {'req_params': {'release': None, 'mine': True, 'show_expired': False}, 'params': None, 'timeout': 300}
Comment 1 Germano Massullo 2015-11-20 04:38:06 EST
Created attachment 1097085 [details]
File: backtrace
Comment 2 Germano Massullo 2015-11-20 04:38:08 EST
Created attachment 1097086 [details]
File: dso_list
Comment 3 Germano Massullo 2015-11-20 04:38:09 EST
Created attachment 1097087 [details]
File: environ
Comment 4 Piotr Popieluch 2015-11-27 04:34:37 EST
I've got a similar error when trying to create a new buildroot override:

bodhi --user piotrp --buildroot-override=nodejs-ansi-font-0.0.2-1.el7 --duration=14 --notes='needed for building nodejs-test and nodejs-jison'
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 433, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 248, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 203, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 511, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'


Version:
bodhi-client-0.9.12.2-3.fc23.noarch
Comment 5 Julian Sikorski 2015-12-28 12:08:25 EST
Happens on F22 as well:
bodhi-client-0.9.12.2-3.fc22.noarch
python-fedora-0.6.4-1.fc22.noarch

$ bodhi -u belegdol -N "For gnumeric" -o goffice-0.10.25-1.fc23
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 433, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 250, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 88, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 205, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 508, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'
Comment 6 Anton Arapov 2016-01-12 10:04:30 EST
Julian, you have a bit different traceback. That one has been reported to bug 1278742.
Comment 7 Julian Sikorski 2016-01-12 12:53:11 EST
Good catch, thank you!
Comment 8 Jiri Popelka 2016-08-03 11:15:48 EDT
Seeing similar with bodhi-client-0.9.12.2-4.fc24

$ bodhi --list-overrides
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 451, in main
    }, auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 240, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 78, in _decorator
    output = func(request, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 195, in _authed_post
    response = self._session.post(url, params=params, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 518, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'
Comment 9 Randy Barlow 2016-10-18 00:55:23 EDT
Hello!

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!


[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 10 Fedora End Of Life 2016-11-24 08:36:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 11:07:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.